CREATE TABLE doo_feature_usage_metrics (
    USAGE_METRIC_ID                 NUMBER(18, 0) ,
    USAGE_METRIC_TYPE               VARCHAR2(1020)    NOT NULL,
    USAGE_METRIC_NAME               VARCHAR2(1020)    NOT NULL,
    PREVIOUS_USAGE_VALUE            VARCHAR2(1020),
    CURRENT_USAGE_VALUE             VARCHAR2(1020),
    USAGE_METRIC_DETAILS            CLOB          ,
    USAGE_METRIC_OWING_MODULE       VARCHAR2(1020)    NOT NULL,
    USAGE_METRIC_APP_ATTRIBUTE1     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE2     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE3     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE4     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE5     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE6     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE7     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE8     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE9     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE10    VARCHAR2(1020),
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    USAGE_METRIC_ID                 NUMBER(18, 0) ,
    USAGE_METRIC_TYPE               VARCHAR2(1020)    NOT NULL,
    USAGE_METRIC_NAME               VARCHAR2(1020)    NOT NULL,
    PREVIOUS_USAGE_VALUE            VARCHAR2(1020),
    CURRENT_USAGE_VALUE             VARCHAR2(1020),
    USAGE_METRIC_DETAILS            CLOB          ,
    USAGE_METRIC_OWING_MODULE       VARCHAR2(1020)    NOT NULL,
    USAGE_METRIC_APP_ATTRIBUTE1     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE2     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE3     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE4     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE5     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE6     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE7     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE8     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE9     VARCHAR2(1020),
    USAGE_METRIC_APP_ATTRIBUTE10    VARCHAR2(1020),
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CONSTRAINT pk_doo_feature_usage_metrics PRIMARY KEY (USAGE_METRIC_ID, USAGE_METRIC_ID)
);
